Bug 216640 - games/armagetron: fails to build with clang 4.0
Summary: games/armagetron: fails to build with clang 4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords: needs-patch
Depends on:
Blocks: 216008
  Show dependency treegraph
 
Reported: 2017-01-31 00:00 UTC by Jan Beich
Modified: 2017-12-14 20:07 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ianthetechie)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-01-31 00:00:36 UTC
network/nNetObject.cpp:1533:46: error: ordered comparison between pointer and zero ('const nSocket *' and 'int')
            while(sn_Connections[user].socket>0 &&
                  ~~~~~~~~~~~~~~~~~~~~~~~~~~~^~

build log: http://package18.nyi.freebsd.org/data/headamd64PR216008-default/2017-01-29_16h09m05s/logs/errors/armagetron-0.2.8.3.3.log
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 Dmitry Marakasov freebsd_committer 2017-02-01 15:08:03 UTC
The ports needs to be updated, the issues was fixed upstream.
Comment 2 Dmitry Marakasov freebsd_committer 2017-12-14 20:07:29 UTC
It builds fine everywhere.